package edu.zju.bme.tumorboard;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author nie.yunfeng
 */
@EnableFeignClients("edu.zju.bme.tumorboard.feign")
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
public class TumorBoardApplication {

    public static void main(String[] args) {
        SpringApplication.run(TumorBoardApplication.class, args);
    }

}
