package edu.zju.bme.tumorboard.entity;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class Patient {
    private String patientId;

    private String patientIdentifier;

    private String admissionId;

    private String patientName;

    private String gender;

    private Date birthdate;

    private Date admissionDate;

    private Date operationEndDate;

    private String treatDuration;

    private String diagnose;

    private String patientStatus;

    private String meetingId;

    private Integer creatorId;

    private String creatorName;

    private Date createDate;

    private Date updateDate;

    private Byte isEnabled;

    private String dept;

    //非数据库属性
    private String patientDiscussPurpose;
    private List<PatientMeetingRecord> recordList;
}