package edu.zju.bme.tumorboard.mapper.hospital;

import edu.zju.bme.tumorboard.entity.HospitalClinicalTestData;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * 院内临床试验
 * @author Nie.YunFeng
 * @date 2021/3/29
 */

@Repository
public interface HospitalClinicalTestMapper {

    List<HospitalClinicalTestData> getAll();

    List<HospitalClinicalTestData> getByFilterInfo(@Param("clinicalTestData")HospitalClinicalTestData clinicalTestData, @Param("pageStart")Integer pageStart,
                                                   @Param("pageEnd")Integer pageEnd);

    Integer countByFilterInfo(HospitalClinicalTestData clinicalTestData);

    List<String> getAllDept();

}
