package edu.zju.bme.tumorboard.service;

/**
 * @author Meng.ZiZhong
 * @date 2021/5/26
 */


import java.util.Map;


public interface PrognosisEvaluationService {

    /**
     * 获取预后统计及风险因子信息
     *
     *
     * @return  Map<String, Object> 预后统计及风险因子信息
     */
    Map<String, Object> getPrognosisEvaluationInfo();

}
