package edu.zju.bme.tumorboard.utils;

/* 本类包含的错误信息是有意义的，可以直接返回给前端进行显示。在RestControllerAdvice中使用。 */
public class ErrorWithMessage extends RuntimeException {
    private Object extraData;

    public ErrorWithMessage() {}

    public ErrorWithMessage(String message) {
        super(message);
    }

    public ErrorWithMessage(String message, Object extraData) {
        super(message);
        this.extraData = extraData;
    }

    public Object getExtraData() {
        return extraData;
    }
}
