import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ResourceService } from './others/resource.service';
import { URLService } from './others/url.service';
import { Utils } from './utils/utils.service';
import { NzMessageModule } from "ng-zorro-antd/message";
import { NzModalModule } from "ng-zorro-antd/modal";


@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        NzMessageModule,
        NzModalModule,
    ],
    providers: [
        ResourceService,
        Utils,
        URLService
    ]
})
export class CoreModule { }
