/**
 *  angular libs
 * */
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

/**
 *  attribute directive
 */
import { ResizeHeigthDirective } from './resize-heigth.directive/resize-height.directive';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
    ],

    declarations: [
        ResizeHeigthDirective,
    ],
    exports: [
        ResizeHeigthDirective,
    ],
    providers: [
    ]
})
export class DirectiveModule {
}
