package edu.zju.bme.tumorboard.entity;

/**
 * @author Meng.ZiZhong
 * @date 2021/2/4
 */

import lombok.Data;

import java.util.Date;

@Data
public class ClinicalTestData {
    private String nctId;

    private String orgFullName;

    private String orgClass;

    private String briefTitle;

    private String officialTitle;

    private Date statusVerifiedDate;

    private String overallStatus;

    private Date startDate;

    private String startDateType;

    private Date primaryCompletionDate;

    private String primaryCompletionDateType;

    private Date completionDate;

    private String completionDateType;

    private Date lastUpdatePostDate;

    private String lastUpdatePostDateType;

    private String briefSummary;

    private String condition;

    private String keyword;

    private String studyType;

    private String phase;

    private Integer enrollmentCount;

    private String enrollmentType;

    private String gender;

    private String minimumAge;

    private String maximumAge;

    private String studyPopulation;

    private String samplingMethod;

    private String interventionName;

    private String locationCountry;

    private String locationCity;

    private String nsclcStage;

    private String nsclcStageSentencePart;

    private Integer psMinValue;

    private Integer psMaxValue;

    private String psSentencePart;

    private String minimumAgeText;

    private String maximumAgeText;

    private String ageSentencePart;

    private String source;

    private String url;

    private String variationSentence;

    private String variationInformation;

}