package edu.zju.bme.tumorboard.entity;

import lombok.Data;

/**
 * 胚系变异与化疗药物
 * @author Meng.ZiZhong
 * @date 2021/4/8
 */

@Data
public class GeneGermlineVariant {

    private int id;

    private String drugNameCh;

    private String drugNameEn;

    private String gene;

    private String phenotype;

    private String desc;

    private String expression;

    private String score;

    private String clinicalImpact;

    private String medicationRecommendations;

    private String classification;

    private String graded;

    private String recommendationGrade;

    private String variantOne;

    private String variantTwo;

    private Integer pageIndex;
}
