package edu.zju.bme.tumorboard.entity;

import lombok.Data;

import java.util.List;

@Data
public class GeneMutationInfo {

    private int id;

    private String geneName;

    private String chromosome;

    private String detectionContent;

    private String geneFusionMutation;

    private String nucleotideChange;

    private String aminoAcidChange;

    private String exon;

    private String transcriptNo;

    private String detectionType;

    private String geneBrief;

    private String mutationBrief;

    private String carcinogenicity;

    private String cancerKind;

    private String detectionResult;

    private String targetedDrugEn;

    private String targetedDrugCh;

    private String tradeName;

    private String medicineType;

    private String targetSpotOrTheory;

    private String therapeuticLevel;

    private String approvalOrClinicalTestStatus;

    private String FDA;

    private String NCCN;

    private String ratifyTrerapeuticSchedule;

    private String otherTrerapeuticSchedule;

    private String clinicalTestUnderway;

    private String mutationResult;

    private String mutationRatioCtDNA;

    private String mutationRatioTissue;

    private List<String> matchingGenes;

    private List<String> drugList;
}
