package edu.zju.bme.tumorboard.entity;

import lombok.Data;

import java.util.Date;

/**
 * 院内临床试验数据实体
 *
 * @author Nie.YunFeng
 * @date 2021/3/29
 */
@Data
public class HospitalClinicalTestData {
    private String id;
    private String groupCode;
    private String groupName;
    private String groupDescribe;
    private String investigationalProduct;
    private String deptInCharge;
    private String blindMethod;
    private String sponsor;
    private String stage;
    private String domesticOrInternational;
    private Date startDate;
    private Date endDate;
    private Date enterDate;
}
