package edu.zju.bme.tumorboard.service.impl;

/**
 * @author Meng.ZiZhong
 * @date 2021/5/26
 */


import edu.zju.bme.tumorboard.mapper.manage.PrognosisEvaluationMapper;
import edu.zju.bme.tumorboard.service.PrognosisEvaluationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
@Slf4j
public class PrognosisEvaluationServiceImpl implements PrognosisEvaluationService {
    @Autowired
    private PrognosisEvaluationMapper prognosisEvaluationMapper;

    @Override
    public Map<String, Object> getPrognosisEvaluationInfo() {
        Map<String, Object> map = new HashMap<>();
        map.put("AveragedFeatureImportanceInfo", prognosisEvaluationMapper.getAveragedFeatureImportanceInfo());
        map.put("NsclcPrognosisStatistics", prognosisEvaluationMapper.getNsclcPrognosisStatisticsAllStageInfo());
        return map;
    }
}
