import {Component, Input, OnInit} from '@angular/core';
import {URLService} from "../../../core/others/url.service";

@Component({
    selector: 'app-inspect',
    templateUrl: './inspect.component.html',
    styleUrls: ['./inspect.component.css']
})
export class InspectComponent implements OnInit {

    @Input() inspectionDataList: any;
    @Input() inspectClassList: any;
    @Input() patientIdentifier:string;
    selectClass: any = [];
    pathologyReportUrl: string;

    constructor(public urlSrv: URLService) {
        this.pathologyReportUrl = this.urlSrv.pathologyReportUrl;
    }

    ngOnInit(): void {
    }

    getInspectionDataList() {

    }

    unfoldTimelineItem(inspectionData: any) {
        inspectionData.isUnfold = !inspectionData.isUnfold;
    }

}
