import {Component, Input, OnInit} from '@angular/core';

@Component({
    selector: 'app-major-complications',
    templateUrl: './major-complications.component.html',
    styleUrls: ['./major-complications.component.css']
})
export class MajorComplicationsComponent implements OnInit {

    @Input() examinationBeforeTreatment: any;

    complicationClassList: string[] = ['pulmonary_insufficiency', 'liver_dysfunction', 'renal__insufficiency', 'cardiac_insufficiency', 'immune_system_diseases', 'cerebrovascular_disease', 'nervous_system_diseases', 'mental_illness' ];
    complicationClassNameList: string[] = ['肺功能不全', '肝功能不全', '肾功能不全', '心功能不全', '系统性红斑狼疮等免疫系统疾病', '脑血管病史', '神经系统疾病', '精神疾病' ];

    constructor() {
    }

    ngOnInit(): void {
    }
}
