import {Component, Input, OnInit} from '@angular/core';

@Component({
    selector: 'app-pathology',
    templateUrl: './pathology.component.html',
    styleUrls: ['./pathology.component.css']
})
export class PathologyComponent implements OnInit {

    @Input() pathologyData: any;
    lymphNodeDissectionNumber: string[] = ['1l', '1r', '2l', '2r', '2r+4r', '3a', '3p', '4l', '4r', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14'];
    geneticTest: string[] = ['egfr', 'alk', 'kras'];

    constructor() {
    }

    ngOnInit(): void {
    }

}
